#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  libcairomm-1.0 (cairomm-1.14.5)

- Next

  colord-gtk-0.3.1

- Up
- Home

# libcairomm-1.16 (cairomm-1.18.0)

## Introduction to libcairomm-1.16

The libcairomm-1.16 package provides a C++ interface to Cairo. This version of the API is needed to support gtkmm-4.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://www.cairographics.org/releases/cairomm-1.18.0.tar.xz

- Download MD5 sum: 4c7afc4ab5177655724ea4b31794db30

- Download size: 620 KB

- Estimated disk space required: 25 MB (with tests)

- Estimated build time: 0.2 SBU (with tests)

### libcairomm-1.16 Dependencies

#### Required

Cairo-1.18.4 and libsigc++-3.6.0

#### Recommended

Boost-1.90.0 (for tests)

#### Optional

Doxygen-1.17.0

## Installation of libcairomm-1.16

Install Cairomm-1.16 by running the following commands:

    mkdir bld &&
    cd    bld &&

    meson setup ..             \
          --prefix=/usr        \
          --buildtype=release  \
          -D build-tests=true  \
          -D boost-shared=true &&
    ninja

To run the test suite, run: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D build-tests=true`: This switch is for building the unit tests. Remove if you have not installed Boost-1.90.0.

`-D boost-shared=true`: This switch has the package use the shared version of boost libraries. It is required if you have not installed the boost static libraries, and you have passed `-D build-tests=true`.

`-D build-documentation=true`: This switch builds the html documentation if doxygen is installed.

## Contents

Installed Programs: None
Installed Library: libcairomm-1.16.so
Installed Directories: /usr/{lib,include}/cairomm-1.16 and /usr/share/{devhelp/books,doc}/cairomm-1.16 (optional)

### Short Descriptions

`libcairomm-1.16.so` | contains the Cairo API classes

- Prev

  libcairomm-1.0 (cairomm-1.14.5)

- Next

  colord-gtk-0.3.1

- Up
- Home